import { PublicBookingConfirmationPage } from '@/features/public-booking/public-booking-confirmation-page';
import { createFileRoute } from '@tanstack/react-router';

export const Route = createFileRoute('/$complexSlug/booking/confirmed/$bookingCode')({
  component: PublicBookingConfirmationRouteComponent,
});

function PublicBookingConfirmationRouteComponent() {
  const { complexSlug, bookingCode } = Route.useParams();

  return <PublicBookingConfirmationPage complexSlug={complexSlug} bookingCode={bookingCode} />;
}
